KDE 4.2 PyKDE API Reference

- KDE's Python API

# LineEdit Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsProxyWidget → QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

LineEdit plasma/widgets/lineedit.h <Plasma/Widgets/LineEdit>

Provides a plasma-themed KLineEdit.

## Signals

| editingFinished ()
| returnPressed ()
| textEdited (QString text)

## Methods

| __init__ (self, QGraphicsWidget parent=0)
| editingFinished (self)
KLineEdit | nativeWidget (self)
| returnPressed (self)
| setStyleSheet (self, QString stylesheet)
| setText (self, QString text)
QString | styleSheet (self)
QString | text (self)
| textEdited (self, QString text)

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsWidget | parent=0
| ) |  |  |

editingFinished | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("editingFinished()"), target_slot)`

KLineEdit nativeWidget | ( |  | self ) |

Returns:
  the native widget wrapped by this LineEdit

returnPressed | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("returnPressed()"), target_slot)`

setStyleSheet | ( | self, |
|  | QString | stylesheet
| ) |  |  |

Sets the stylesheet used to control the visual display of this LineEdit

@arg stylesheet a CSS string

setText | ( | self, |
|  | QString | text
| ) |  |  |

Sets the display text for this LineEdit

@arg text the text to display; should be translated.

QString styleSheet | ( |  | self ) |

Returns:
  the stylesheet currently used with this widget

QString text | ( |  | self ) |

Returns:
  the display text

textEdited | ( | self, |
|  | QString | text
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("textEdited(const QString&)"), target_slot)`